<template>
  <nav class="navbar navbar-expand-lg navbar-light text-white">
    <button
      class="navbar-toggler bg-light"
      type="button"
      data-bs-toggle="collapse"
      data-bs-target="#navbarTogglerDemo01"
      aria-controls="navbarTogglerDemo01"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon text-white"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
      <ul
        class="navbar-nav d-flex justify-content-md-between"
        style="width: 100%"
      >
        <li class="nav-item align-self-center">
          <router-link
            to="/"
            class="navbar-brand text-uppercase text-white fs-3 fw-bold"
          >
            <img
              src="@/assets/image/smkdigitalserviceicon.png"
              width="30"
              class="d-inline-block align-text-center"
            />
            &nbsp;&nbsp;smk digital service
          </router-link>
        </li>

        <li class="nav-item align-self-center">
          <router-link
            to="/roadmap"
            class="btn btn-icon-white btn-text-white fs-5 ms-auto"
          >
            <span class="svg-icon svg-icon-1">
              <i class="las la-chalkboard fs-3hx"></i>
            </span>
            Roadmap
          </router-link>
        </li>
      </ul>
    </div>
  </nav>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import KTTopbar from "@/layout/header/Topbar.vue";
import KTMenu from "@/layout/header/MenuV2.vue";

import {
  headerWidthFluid,
  headerLeft,
  asideDisplay,
} from "@/core/helpers/config";

export default defineComponent({
  name: "KTHeader",
  props: {
    title: String,
  },
  components: {
    // KTTopbar,
  },
  setup() {
    return {
      headerWidthFluid,
      headerLeft,
      asideDisplay,
    };
  },
});
</script>
